#pragma once

#include "utils/workers/plugin.hpp"

namespace hr::plugins
{
  class raw_data : public plugin
  {
    public:
      raw_data(const setup& st);
      virtual ~raw_data() = default;

    private:
      result m_result;
      result m_tmp;
      std::size_t m_size = 0;

    public:
      void process(fvec_t& base, real_time timestamp) override;
      void process(cvec_t& fft, fvec_t& base, real_time timestamp) override;
      result get_result() override;
  };
}
